<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.seeyon.invoice.dao.impl.InvoiceDetailsDaoImpl">
    <resultMap id="get-InvoiceDetailsEntity-result" type="com.hzya.frame.seeyon.invoice.entity.InvoiceDetailsEntity">
        <result property="item_no" column="item_no" />
        <result property="item_name" column="item_name" />
        <result property="tax_cate_code" column="tax_cate_code" />
        <result property="spec" column="spec" />
        <result property="unit" column="unit" />
        <result property="quantity" column="quantity" />
        <result property="unit_price" column="unit_price" />
        <result property="price" column="price" />
        <result property="tax_rate" column="tax_rate" />
        <result property="zero_flag" column="zero_flag" />
        <result property="tax" column="tax" />
        <result property="include_tax_tag" column="include_tax_tag" />
        <result property="detail_type" column="detail_type" />
        <result property="enjoy_preferential_flag" column="enjoy_preferential_flag" />
        <result property="preferential_policy_type" column="preferential_policy_type" />

    </resultMap>

    <sql id="InvoiceDetailsEntity_Base_Column_List">
        *

    </sql>



    <select id="queryZxBank" resultMap="get-InvoiceDetailsEntity-result" parameterType="com.hzya.frame.seeyon.invoice.entity.InvoiceDetailsEntity">
        select
            *
        from v_hzya_invoice_details
    </select>





</mapper>

